Subject: Re: Strange TCP dump between a Linux and a Samsung phone

From: ROUTE 66 - Catalin BOIE <[email-masked]>
Date: Wed, 12 Nov 2008 09:15:13 +0200

� wrote:
> On Tue, 11 Nov 2008, ROUTE 66 - Catalin BOIE wrote:

Hello!

After upgrading to 2.6.26.?, the problem was fixed!
Thank you very much for your super quick answer!

>> I have captured a strange dump between a Linux kernel
>> 2.6.25.6-55.fc9.x86_64 and a Samsung device.
> 
> Please upgrade or prove that the tcp fixes that were in the later kernel 
> (.7 iirc or 2.6.26) got applied into that -55 part.
>> I looked at it and it seems that the Linux stack does not send any
>> retransmissions to Samsung device.
>> But, I want a competent look from you.
>>
>> The connection is done over a 3G connection.
>> The capture was done on a router between the two endpoints.
>> c.66.com is the Linux machine, the other IP is the Samsung device.
> 
> ...snip...
> 
>> As you may see, the Samsung device keeps sending an ACK for 1261841 and
>> after some time closes the connection.
>> Why the Linux stack does no retransmissions?
> 
> Looks like a know bug in frto which got fixed.
> 
> If upgrade is not an option, you can experiment by playing with tcp_frto 
> sysctl (with 0 you should not encounter that bug).

Thanks!

-- 
Catalin BOIE
ROUTE 66